﻿using System;
using System.Linq;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace RadPropertyGridBoundToDataTable
{
    public partial class Form1 : RadForm
    {
        public Form1()
        {
            InitializeComponent();

            MyDataTable table = new MyDataTable();

            table.Columns.Add("Name", typeof(String));
            table.Columns.Add("Value", typeof(Object));
            table.Columns.Add("Description", typeof(String)); //DESCRIPTION Added a column for the description text.
                                                //DESCRIPTION Added the description text.
            table.Rows.Add("Property 1", "A", "Description of Property 1");
            table.Rows.Add("Property 2", true, "Description of Property 2");
            table.Rows.Add("Property 3", 2, "Description of Property 3");
            table.Rows.Add("Property 4", AccessibleRole.Cell, "Description of Property 4");

            this.radPropertyGrid1.SelectedObject = table;
        }
    }
}
